import transformers


DOCUMENTATION_TEMPLATE = """# {model_name}

_This README.md is autogenerated by Model Zoo_

### Predictions

- Install the Python client library `modelzoo_alpha`

```bash
pip install modelzoo_alpha
```

- Make a prediction

```python
import modelzoo.transformers

input = ...
prediction = modelzoo.transformers.predict("{model_name}",input)
```
"""


def generate_default_transformers_docs(
    model_name: str, pipeline: transformers.Pipeline
) -> str:
    return DOCUMENTATION_TEMPLATE.format(model_name=model_name)
